Форум поддержки пользователей. LibreOffice, Apache OpenOffice, OpenOffice.org

Форум поддержки пользователей. LibreOffice, Apache OpenOffice, OpenOffice.org

21 Июль 2017, 19:52 *
Добро пожаловать, Гость. Пожалуйста, войдите или зарегистрируйтесь.
Вам не пришло письмо с кодом активации?

Войти
Новости: Вы можете задать вопрос по LibreOffice или Apache OpenOffice  без регистрации, используя форму
 
   Начало   Помощь Поиск Войти Регистрация    задать вопрос  
Страниц: « 1 2 3 4 »   Вниз
  Печать  
Автор Тема: LibreOffice 5.2  (Прочитано 10688 раз)
0 Пользователей и 1 Гость смотрят эту тему.
economist
Ветеран
*****
Offline Offline

Сообщений: 588


« Ответ #30: 27 Июнь 2016, 17:17 »

Фразы "использовать самые последние фильтры импорта различных форматов" и "использовать Windows XP" вызывают когнитивный диссонанс. Эволюция ПО должна либо признаваться во всём, либо во всем игнорироваться, имхо.
Записан

Руб. за сто, что Питоньяк
Любит водку и коньяк!
Потому что мне, без оных, -
Не понять его никак...
ape
Ветеран
*****
Offline Offline

Сообщений: 2 450


« Ответ #31: 27 Июнь 2016, 17:34 »

почему я должен лишать себя возможности использовать самые последние фильтры импорта различных форматов в ЛибреОфисе из-за того, что разработчикам захотелось использовать последнюю среду сборки для винды, из которой МС выкинули поддержку ВинХР? Меня устраивает в качестве операционной системы ВинХР, я ее честно купил в свое время, почему я обязан ее менять за свой счет? Я понимаю тех же МС, им надо продавать свой офис и ОС, однако в случае ЛибреОфиса дроп поддержки ВинХР - это абсолютно нелогичный ход
Согласен с Вами: мне Win_XP_64-bit тоже не бесплатно, хотя и дёшево, достался - нашёлся нувориш, котрому нужно было иметь всё новьё.
Меня эта Ось устравала и устраивет.
Об SDK: самое смешное зпключается в том, что сборочная официальная (TDF-версии) среда для libo_5.0-5.2_win_x86 не меняелась - SDK-7.1A; NetFrame-4.0 и msvcr120.dll (оба на ХР ставятся влёгкую), что подразумевает работу под ХР. Однако у меня возникает естественный вопрос - почему 32-битовый soffice.bin при запуске ищет точку входа в 64-битовую процедуру в KERNEL32.dll и кто это так хитро пробагфиксил код?
Пользователей XP примерно столько же, сколько 8-ки (это от 10 до 20% всех пользователей).
Для геронтоманов доступны прежние версии OpenOffice и LibreOffice, и в принципе, никакой дискриминации лично я не ощущаю.
Для не-геронтоманов:
- поддержка (кроме никому ненужной безопасности) 7-ки закончилась; искать "левак" не буду; ХР-64 у меня стоят от 6-ти до 3-х лет и переустанавливались только из-за смерти винчей;
- 8-ка - это не то пальцетыкалка, не то нерводрыгалка;
- 10-ку, из личного 25-ти летнего опыта пользования МС-ОС, можно ставить в качестве основной только после SP-1.
Записан
ape
Ветеран
*****
Offline Offline

Сообщений: 2 450


« Ответ #32: 27 Июнь 2016, 17:39 »

@frob: Валек, неужели в ТДФ стали считать дурным тоном информирование пользователей об окончании поддержки той или иной ОСи? На сколько я знаю, разговор о прекращении поддержки ХР недели 2 назад был в чате, но речь шла о Иастере, т.е. ЛО-5.3.
Записан
tagezi
Ветеран
*****
Offline Offline

Пол: Мужской
Расположение: Finland
Сообщений: 589



WWW
« Ответ #33: 27 Июнь 2016, 18:11 »

Но ведь и разработчики тебе ничем не обязаны...
Да, никто никому ничего не должен, и разработчики этим обязательно покрутят перед носом... ибо, реально лицензия позволяет.
Но тогда нужно сообщить команде маркетинга, чтобы они перестали балалаить про свободу документа и всё в таком духе, что разработчики не будут брать на себя моральные обязательства помогать миру, но будут исключительно лелеять только ЧСВ.
Или, как теперь модно, ставить звездочку у фразы, и внизу мелким шрифтом писать: "Всё что вы только что прочитали, является маркетинговым ходом и не имеет ничего общего с реальность".
Дада, я знаю, имеешь свои желания - делай форк... и об этом я тоже говорил, если все будут писать код (а я, например, могу писать код), то проектом никто пользоваться не будет, потому что кодеры не пишут документацию, а без документации пользователь не знает как этой фигнёй пользоваться. И обожествление кодеров, приводит именно к этому, что они не специально, но просто безответственно лепят, забывая что во круг них сообщество, частью которого они, в принципе, и являются.
Записан
frob
Старожил
****
Offline Offline

Сообщений: 367


« Ответ #34: 27 Июнь 2016, 22:33 »

@frob: Валек, неужели в ТДФ стали считать дурным тоном информирование пользователей об окончании поддержки той или иной ОСи? На сколько я знаю, разговор о прекращении поддержки ХР недели 2 назад был в чате, но речь шла о Иастере, т.е. ЛО-5.3.
Не думаю, что в этом был какой-то злой умысел. Либо не досмотрели, либо обновились, обломились, но решили оставить как есть.
В конце концов кому эти XP нужны?
Записан
frob
Старожил
****
Offline Offline

Сообщений: 367


« Ответ #35: 27 Июнь 2016, 22:35 »

Но ведь и разработчики тебе ничем не обязаны...
Да, никто никому ничего не должен, и разработчики этим обязательно покрутят перед носом... ибо, реально лицензия позволяет.
Но тогда нужно сообщить команде маркетинга, чтобы они перестали балалаить про свободу документа и всё в таком духе, что разработчики не будут брать на себя моральные обязательства помогать миру, но будут исключительно лелеять только ЧСВ.
Или, как теперь модно, ставить звездочку у фразы, и внизу мелким шрифтом писать: "Всё что вы только что прочитали, является маркетинговым ходом и не имеет ничего общего с реальность".
Дада, я знаю, имеешь свои желания - делай форк... и об этом я тоже говорил, если все будут писать код (а я, например, могу писать код), то проектом никто пользоваться не будет, потому что кодеры не пишут документацию, а без документации пользователь не знает как этой фигнёй пользоваться. И обожествление кодеров, приводит именно к этому, что они не специально, но просто безответственно лепят, забывая что во круг них сообщество, частью которого они, в принципе, и являются.

Очень бурно, но суть претензии я не понял.
Записан
kompilainenn
Ветеран
*****
Online Online

Сообщений: 1 995



« Ответ #36: 28 Июнь 2016, 07:34 »

прогер прогеру глаз не выклюет
Записан

Поддержать разработчиков LibreOffice можно тут, а наш форум вот тут
frob
Старожил
****
Offline Offline

Сообщений: 367


« Ответ #37: 28 Июнь 2016, 14:38 »

прогер прогеру глаз не выклюет
Если это в мой огород, то напрасно: я в своих публичных выступлениях неоднократно утверждал, что я не программист.
Записан
Абортов.net
Linux + LibreOffice 5.3.3
Новичок
*
Offline Offline

Пол: Мужской
Расположение: Тирасполь, Приднестровье
Сообщений: 49


Поддержи инициативу по запрету абортов!


WWW
« Ответ #38: 28 Июнь 2016, 15:09 »

Попробовал сегодня установить LibreOffice_5.2.0.1_Win_x86.msi в ОС Виндоуз ХР.
Установка, вроде бы, была успешно завершена. Но программа не запускалась, выходило сообщение что точка входа не найдена.
Картинки прикрепляю.
Пришлось вернуться к версии LibreOffice_5.0.6_Win_x86.msi, которая нормально установилась и прекрасно работает.


* LibreOffice_5.2.0.1_Win_x86-установка успешно завершена.PNG (21.22 Кб, 504x386 - просмотрено 16 раз.)

* LibreOffice_5.2.0.1_Win_x86-точка входа не найдена.PNG (6.87 Кб, 512x126 - просмотрено 18 раз.)
Записан

Выше справедливости милосердие! А выше милосердия Любовь!!!
ape
Ветеран
*****
Offline Offline

Сообщений: 2 450


« Ответ #39: 28 Июнь 2016, 16:52 »

Попробовал сегодня установить LibreOffice_5.2.0.1_Win_x86.msi в ОС Виндоуз ХР.
Установка, вроде бы, была успешно завершена. Но программа не запускалась, выходило сообщение что точка входа не найдена.
Картинки прикрепляю.
Пришлось вернуться к версии LibreOffice_5.0.6_Win_x86.msi, которая нормально установилась и прекрасно работает.
Смотри этот пост
http://forumooo.ru/index.php/topic,5600.msg35886.html#msg35886
Будет баг пофикшен - напишу.
Записан
ape
Ветеран
*****
Offline Offline

Сообщений: 2 450


« Ответ #40: 29 Июнь 2016, 22:22 »

Из Багзиллы:
Цитата:
Michael Meeks  2016-06-28 18:17:16 UTC
ESC is eager to keep XP supported for 5.2; with its 10% market share still - it would clearly be good to workaround the issue; Markus said he'd look at it IIRC.
Вольный перевод:
ESC стремится сохранить в 5.2 поддержку ХР с её, по-прежнему, 10 % долей на рынке - было явно бы хорошо работать вокруг этой проблемы; Маркус говорит, он посмотрит на проблему, если ему не изменит память.
Записан
ape
Ветеран
*****
Offline Offline

Сообщений: 2 450


« Ответ #41: 7 Июль 2016, 12:10 »

Устранили отказ запуска ЛО на ХР. Исправления вошли в LibreOffice 5.2.0.2(rc2), который уже есть для Мак-ОС.

* bugs-changelog-libreoffice-5-2-0-release-5.2.0.2.txt (1.64 Кб - загружено 9 раз.)
« Последнее редактирование: 7 Июль 2016, 12:14 от ape » Записан
ape
Ветеран
*****
Offline Offline

Сообщений: 2 450


« Ответ #42: 7 Июль 2016, 20:39 »

Цитата:
V Stuart Foote  2016-07-07 02:56:45 UTC
Testing with Windows XP sp3 Pro 32-bit en-US with
Version: 5.2.0.1.0+
Build ID: a2ab810b268ea3555a3931196ab17a0a0de8ba0b
CPU Threads: 2; OS Version: Windows 5.1; UI Render: default;
Locale: en-US (en_US)

LibreOffice is now opening completely. Able to open to StartCenter and also all modules.

Обманули - http://dev-builds.libreoffice.org/pre-releases/win/x86/LibreOffice_5.2.0.2_Win_x86.msi на ХР-32\64 не запускается.
Проверю на ежедневке, указанной в Багзилле, и отпишусь.
Записан
ape
Ветеран
*****
Offline Offline

Сообщений: 2 450


« Ответ #43: 8 Июль 2016, 20:10 »

Цитата:
Christian Lohmaier  2016-07-08 15:40:21 UTC
yes, it will make it into the next 5.2.0 rc3 - the initial patch was only half of the needed changes, the later commits then fixed the remaining instance.
I decided not to do a respin of rc2, since there are two more RCs scheduled anyway.
По-русски: принято решение о включении полного патча в ЛО-5.2_RC3. Из более ранних сообщений следует, что багфикс вошёл в ЛО-5.1 и ЛО-5.3(мастер).
Записан
ape
Ветеран
*****
Offline Offline

Сообщений: 2 450


« Ответ #44: 20 Июль 2016, 13:23 »

Сегодня - завтра будет опубликован RC3. Будет работать и на ХР-32, и на ХР-64: проверял на ежедневке от 14 июля.
Багфиксы.
Записан
Страниц: « 1 2 3 4 »   Вверх
  Печать  
 
Перейти в:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.21 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!